Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = RegisterFile
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = RegisterFile_Monolithic
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Monolithic/SelfTest/src/test.cpp	(revision 113)
@@ -159,5 +159,5 @@
       while (nb_ack < _param->_nb_word)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_write; num_port ++)
@@ -232,5 +232,5 @@
       while (nb_ack < _param->_nb_word)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 	  
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_read; num_port ++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/Makefile.defs	(revision 113)
@@ -2,10 +2,12 @@
 # $Id$
 # 
-# [ Description ]
+# [ Description ]
 # 
 # Makefile
 # 
 
-#-----[ Directory ]----------------------------------------
+ENTITY                          = RegisterFile_Multi_Banked
+
+#-----[ Directory ]----------------------------------------
 DIR_COMPONENT_MORPHEO		= ../../../..
 DIR_MORPHEO			= $(DIR_COMPONENT)/$(DIR_COMPONENT_MORPHEO)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/RegisterFile_Multi_Banked/SelfTest/src/test.cpp	(revision 113)
@@ -136,5 +136,5 @@
       while (nb_ack < nb_request)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_write; num_port ++)
@@ -183,5 +183,5 @@
 	while (nb_ack < nb_request)
 	  {
-	    cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	    cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 	    
 	    for (uint32_t num_port=0; num_port < _param->_nb_port_read; num_port ++)
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/SelfTest/src/test.cpp	(revision 112)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Generic/RegisterFile/SelfTest/src/test.cpp	(revision 113)
@@ -136,5 +136,5 @@
       while (nb_ack < nb_request)
 	{
-	  cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	  cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 
 	  for (uint32_t num_port=0; num_port < _param->_nb_port_write; num_port ++)
@@ -184,5 +184,5 @@
 	  while (nb_ack < nb_request)
 	    {
-	      cout << "cycle : " << static_cast<uint32_t> (sc_simulation_time()) << endl;
+	      cout << "cycle : " << static_cast<uint32_t> (simulation_cycle()) << endl;
 	      
 	      for (uint32_t num_port=0; num_port < _param->_nb_port_read; num_port ++)
